Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Private Attributes | List of all members
cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator Class Reference
Inheritance diagram for cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator:
[legend]
Collaboration diagram for cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator:
[legend]

## Public Member Functions
| OtherElementComparator ()
| OtherElementComparator (float threshold)
double | getDistance (HOG hog1, HOG hog2)

## Private Attributes
float | threshold

## Additional Inherited Members
Protected Member Functions inherited from cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator
int | computeHorizontalElements (float[][][] cells, float threshold)
int | computeVerticalElements (float[][][] cells, float threshold)
int | computeOtherElements (float[][][] cells, float threshold)
int | computeAllElements (float[][][] cells, float threshold)

## Detailed Description

Object compares all elements excluding horizontal, vertical

Author
  xnovak68

See also
  ElementBaseComparator

Definition at line 9 of file OtherElementComparator.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator.OtherElementComparator | ( |  | ) |

Definition at line 11 of file OtherElementComparator.java.

cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator.OtherElementComparator | ( | float | threshold | ) |

Definition at line 14 of file OtherElementComparator.java.

References cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator.threshold.

## Member Function Documentation

double cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator.getDistance | ( | HOG | hog1,
|  | HOG | hog2
| ) |  |

Implements cz.vutbr.feec.novak68.hogcomparators.HOGComparator.

Definition at line 18 of file OtherElementComparator.java.

References cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator.computeOtherElements(), cz.vutbr.feec.novak68.HOG.getCells(), and cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator.threshold.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies().

Here is the call graph for this function:

## Member Data Documentation

float cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator.threshold
| private

Definition at line 10 of file OtherElementComparator.java.

Referenced by cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator.getDistance(), and cz.vutbr.feec.novak68.hogcomparators.OtherElementComparator.OtherElementComparator().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/hogcomparators/OtherElementComparator.java